@font-face {
    font-family: 'Segoe UI custom';
    src: url(SegoeUI/SegoeUI.ttf);
    font-weight: normal;
}

@font-face {
    font-family: 'Segoe UI custom';
    src: url(SegoeUI/SegoeUIBold.ttf);
    font-weight: bold;
}

:root {
    --text-gray-900:rgb(26,32,44);
    --text-color-secondary:rgb(3,169,244);
    --backgrond-hero:rgb(247,250,252);
}

.dark {
    --text-gray-900: white;
    background-color: rgb(44,44,44);
    --backgrond-hero: rgb(76,76,76);
    
}

* {
    box-sizing: border-box;
}

* {
    font-family: 'Segoe UI custom';
}

body {
    margin: 0;
    color: rgb(113,128,150);
}

.logo {
    stroke: currentColor;
    color: var(--text-color-secondary);
}

.main-logo {
    font-weight: 700;
    font-size: 1.875rem;
}

.main-menu {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: var(--backgrond-hero);
}

header {
    max-width: 1000px;
    margin: 0 auto;
    padding: 1.5rem 0.75rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

html {
    font-size: 16px;
}

header span {
    display: flex;
    gap: 10px;
}

header a {
    text-decoration: none;
    color: var(--text-gray-900);
}
nav a {
  font-weight: 700;
  font-size: 1.25rem;
}
nav ul {
  list-style-type: none;
  display: flex;
  gap: 20px;
}

.hero {
    background-color: var(--backgrond-hero);
}

.header h1 {
    margin: 0;
    font-size: 3rem;
    white-space: pre-line;
    /* display: flex;
    flex-direction: column; */
    align-items: center;
    color: var(--text-gray-900);
}
.header h1 span {
    color: var(--text-color-secondary);
}
.header h2 {
    font-size: 1.5rem;
    font-weight: 400;
    margin-top: 1rem;
    margin-bottom: 4rem;
}
.header {
    text-align: center;
    padding: 8rem 0.75rem 8rem 0.75rem;
}
.btn-download {
    text-decoration: none;
    background-color: var(--text-color-secondary);
    color: white;
    padding: 1rem 1.5rem;
    font-size: 1.25rem;
    border-radius: 0.375rem;
    text-align: center;
    font-weight: 700;
    display: inline-block;
}

.btn-download:hover {
    background-color: rgb(3,152,220);
}

.description{
    max-width: 1024px;
    margin: 0 auto;
}
.description__header {
    text-align: center;
}

.description__header h2 {
    color:var(--text-gray-900);
    font-size: 2.25rem;
}

.description__header p {
    font-size: 1.25rem;
    /* align-items: center; */
}

.description__feature1, .description__feature2 {
    margin-top: 5rem;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
}

.description__feature h3 {
    color:var(--text-gray-900);
    font-size: 1.85rem;
}

.description__feature p {
    font-size: 1.25rem;
    line-height: 2.25rem;
}

.description__feature-text {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.description__feature-img {
    width: 100%;
    padding: 1.5rem;
}

.description__feature2 {
    flex-direction: row-reverse;
}

.hero2 {
    padding: 4rem .75rem;
    max-width: 1024px;
    margin: 0 auto;
}

.hero2 h2 {
    font-size: 1.5rem;
    color: rgb(26,32,44);
}

.hero2 h2 div:last-child  {
    color: var(--text-color-secondary);
}

.hero2>div {
    display: flex;
    flex-direction: column;
    text-align: center;
    background-color: rgb(230,246,254);
    border-radius: .375rem;
    padding: 1rem;
    gap: .75rem;
}

.footer-icon-list {
    display: flex;
    gap: 0.75rem;
    justify-content: center;
    margin-top: 2rem;
}

.footer-icon-list svg {
    height: 1.25rem;
    width: 1.25rem;
    fill: rgb(160,174,192);
}

.footer-icon-list svg:hover {
    fill: var(--text-gray-900)
}

.footer-logo {
    display: inline-flex;
    align-items: center;
    font-size: 1.25rem;
    color:var(--text-gray-900);
    font-weight: 700;
}

footer {
    background-color: var(--backgrond-hero);
    padding: 4rem .75rem;
    text-align: center;
}

.footer nav {
    margin-top: 1.5rem;
}

.footer-menu {
    display: flex;
    gap: 2rem;
    list-style: none;
    justify-content: center;
}

.footer-menu a {
    font-weight: 1.25rem;
    color: var(--text-gray-900);
    text-decoration: none;
}

.copyriht {
    margin-top: 2rem;
}

.modal {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.3);
    display: none;
    justify-content: center;
    align-items: center;
}

.login-form {
    background-color: #fff;
    width: 500px;
    height: 400px;
    display: flex;
    flex-direction: column;
    padding: 3rem;
    justify-content: center;
    border-radius: 5px;
    gap: 1rem;
    border-radius: 0.375rem;
    position: relative;
}

.btn-login {
    background-color: var(--text-color-secondary);
    color: white;
    padding: 0.5rem 1.5rem;
    font-size: 1.25rem;
    border-radius: 0.375rem;
    font-weight: 700;
    border: none;
    cursor: pointer;
}

.btn-login:hover {
    background-color: rgb(3,152,220);
}

.login-form input {
    border-radius: 0.375rem;
    font-size: 1.25rem;
    border: 3px solid rgb(164, 163, 163);
    padding: 0.5rem;
    outline: none;
}

.login-form input:hover {
    border: 2px solid rgb(125, 125, 125);
}

.login-form input:focus {
    border: 2px solid rgb(3,152,220);
}

.login-form h2 {
    color: rgb(46,46,46);
    text-align: center;
    font-size: 2rem;
    margin-top: 0;
}

.modal.show {
    display: flex;
}

.close-modal-btn {
    width: 2rem;
    height: 2rem;
    /* display: flex; */
    position: absolute;
    right: 2rem;
    top: 2rem;
    cursor: pointer;
    --back-color: rgb(133, 133, 134);
}

.close-modal-btn::before, .close-modal-btn::after {
    content: '';
    display: block;
    width: 1.5rem;
    height: 0.2rem;
    background-color: var(--back-color);
    border-radius: 2px;
    position: absolute;
    margin: auto;
    inset: 0; 
}

.close-modal-btn:hover {
    --back-color:rgb(44,44,44);
}

.close-modal-btn::after{
    transform: rotate(-45deg);
}

.close-modal-btn::before {
    transform: rotate(45deg);
}

.dark .check {
    transform: translate(22px);
  }
  
  .check {
    position: absolute;
    transition: all 0.3s;
    width: 24.7px;
    height: 24.7px;
    border-radius: 50%;
    /* background-color: rgb(255, 255, 255); */
  }
  
  .sun, .moon {
    position: absolute;
    inset: 0;
    transition: all 0.4s;
  }
  
  .dark .sun {
    opacity: 0;
  }
  
  .dark .moon {
    opacity: 1;
  }
  
  .sun {
    opacity: 1;
  }
  
  .moon {
    opacity: 0;
  }

  #toggle-theme {
    position: absolute;
    cursor: pointer;
    width: 50px;
    height: 28px;
  }

  .btn-check {
    position: absolute;
    top: 40px;
    right: 360px;
    display: flex;
    justify-content: start;
    align-items: start;
    border-radius: 20%;
    padding: 0;
    }

  .dark .btn-check {
    background-color: var(--text-color-secondary);
    border-color: #fff;
  }

  .dark .btn-check:hover {
    border: solid 1px #ffffff;
  
  }

  



/* .close-modal-btn:hover::before, .close-modal-btn:hover::after { 
    background-color: var(--text-gray-900);
} */



@media (min-width: 640px) {
    .description__feature-text, .description__feature-img {
        width: 50%;
    }
    .hero2>div {
        flex-direction: row;
        justify-content: space-between;
        /* gap: 0; */
        text-align: left;
        align-items: center;
        padding: 3rem;
    }
    .hero2>div a {
        text-align: center;
    }
}

@media (min-width:768px) {
    .description__header p {
        padding-left: 5rem;
        padding-right: 5rem;
    }
}

